# DelaySensor(Sensor)

base classes — `bpy_struct`, `Sensor`

class `bpy.types.``DelaySensor`(Sensor)

  Sensor to send delayed events

  `delay`

    Delay in number of logic tics before the positive trigger (default 60 per second)

    Type: | int in [0, 5000], default 0

  `duration`

    If >0, delay in number of logic tics before the negative trigger following the positive trigger

    Type: | int in [0, 5000], default 0

  `use_repeat`

    Toggle repeat option (if selected, the sensor restarts after Delay+Duration logic tics)

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Sensor.name` `Sensor.type` `Sensor.pin` `Sensor.active` `Sensor.show_expanded` `Sensor.invert` | `Sensor.use_level` `Sensor.use_pulse_true_level` `Sensor.use_pulse_false_level` `Sensor.tick_skip` `Sensor.use_tap` `Sensor.controllers`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Sensor.link` `Sensor.unlink`